<?php
/*
Plugin Name: Getty 'Ghetto' Slider
Plugin URI: http://uiux.me
Description: Getty 'Ghetto' Slider allows you to take advantage of 'free' images from Gettyimages.com, and use them as a slider.
Author: Ben Parry
Version: 1
Author URI: http://uiux.me

Copyright 2014  Ben Parry  (email : me@uiux.me)

*/



//getty slider setting variables & menus etc
function getty_slider_menu(){
	add_submenu_page('edit.php?post_type=ghetto_slide', 'Getty Slider Settings', 'Getty Slider Settings', 'edit_posts', 'getty-slider-settings', 'getty_slider_plugin_options');
	add_action( 'admin_init', 'register_ghetto_settings' );
}

add_action('admin_menu','getty_slider_menu');

function getty_slider_plugin_options(){
    include('admin/getty-slider-admin.php');
}

function register_ghetto_settings() {
	register_setting( 'getty-slider-settings-group', 'ghetto_slide_width' );
	register_setting( 'getty-slider-settings-group', 'ghetto_slide_height' );
}
//end getty slider setting variables & menus etc


// register custom post type 'ghetto slide'
function register_ghetto_slide_post() {
	$labels = array(
		'name'               => _x( 'Ghetto Slides', 'post type general name' ),
		'singular_name'      => _x( 'Ghetto Slide', 'post type singular name' ),
		'add_new'            => _x( 'Add New', 'ghetto_slide' ),
		'add_new_item'       => __( 'Add New Ghetto Slide' ),
		'edit_item'          => __( 'Edit Ghetto Slide' ),
		'new_item'           => __( 'New Ghetto Slide' ),
		'all_items'          => __( 'All Ghetto Slides' ),
		'view_item'          => __( 'View Ghetto Slide' ),
		'search_items'       => __( 'Search Ghetto Slides' ),
		'not_found'          => __( 'No Ghetto Slides found' ),
		'not_found_in_trash' => __( 'No Ghetto Slides found in the Trash' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Ghetto Slides'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Holds our Ghetto Slides',
		'public'        => true,
		'menu_position' => 4,
		'supports'      => array( 'title', 'editor', 'custom-fields'),
		'capability_type' => 'post',
		'rewrite'		=> array( 'slug' => 'ghetto_slide', 'with_front' => FALSE),
		'has_archive'   => false,
	);
	register_post_type( 'ghetto_slide', $args );	

}

//load scripts and styles
function getty_wall_scripts(){
    wp_register_style('swiper-css',plugin_dir_url( __FILE__ ).'css/swiper.css');
    wp_enqueue_style('swiper-css');
    wp_register_script('swiper-js',plugin_dir_url( __FILE__ ).'js/swiper.js');
    wp_enqueue_script('swiper-js');
}
add_action('wp_enqueue_scripts','getty_wall_scripts');
//load scripts and styles


add_action( 'init', 'register_ghetto_slide_post' );
//end register custom post type 'ghetto slide'


add_shortcode('ghetto_slider', 'spitGhettoSlider');

function spitGhettoSlider() {
	global $wpdb;

	$ghettoSlides = query_posts('post_type=ghetto_slide');
	wp_reset_query();

	if($ghettoSlides > 0) {
		ob_start();
		include('templates/swiper.php');
		$ghettoSlider = ob_get_contents();
		ob_end_clean();
	} else {
		$ghettoSlider = '';
	}

	return $ghettoSlider;

}

add_action('wp_footer', 'spitGhettoHeadJs');

function spitGhettoHeadJs() {
global $wpdb;
$ghettoSlides = query_posts('post_type=ghetto_slide');
wp_reset_query();
	?>
<script type="text/javascript">
var ghettoSwiper = new Swiper('.swiper-container',{
pagination: '.pagination',
loop:true,
grabCursor: true,
paginationClickable: true
});
<?php
foreach($ghettoSlides as $slide) { ?>
jQuery('#ghetto-slide-<?php echo $slide->ID; ?>').click(function() {
	window.location = '<?php echo get_post_meta($slide->ID, 'destination_url', 'true'); ?>'
});
<?php } ?>
</script>
	<?php
}

add_action('wp_head', 'spitGhettoFooterCss');

function spitGhettoFooterCss() {
?>
<style type="text/css">
.swiper-container {
  width: <?php echo get_option('ghetto_slide_width', '600'); ?>px;
  height: <?php echo get_option('ghetto_slide_height', '350'); ?>px;
}
.ghetto-slide-container {
  position:relative;
  width: <?php echo get_option('ghetto_slide_width', '600'); ?>px;
  height: <?php echo get_option('ghetto_slide_height', '350'); ?>px;
}
.ghetto-slide-iframe {
  overflow:hidden;
  z-index:0;
  width: <?php echo get_option('ghetto_slide_width', '600'); ?>px;
  height: <?php echo get_option('ghetto_slide_height', '350'); ?>px;
}
.ghetto-click{
  z-index:2;
  position:absolute;
  width: <?php echo get_option('ghetto_slide_width', '600'); ?>px;
  height: <?php echo get_option('ghetto_slide_height', '350'); ?>px;
}
</style>
<?php } ?>